function love.init ( )
	local font = love.graphics.newFont ( "Ubuntu-R.ttf", 32 )
	love.graphics.setFont ( font )
end

function love.draw ( ) 
	love.graphics.print ( "А по мне так всё в порядке.", 10, 10 )
end

function love.update ( delta )
end

function love.keypressed ( keycode, unicode ) 
	if keycode == "escape" then
		love.event.push ( "quit" )
	end
end

function love.mousepressed ( x, y, button )
end

function love.quit ( )
end

function love.run ( )
-- based on löve2d 0.8.0 main loop code
	local ot, nt = 0, 0
	
	love.init ( )
	
	nt = love.timer.getMicroTime ( )
    while true do
		ot = nt
		nt = love.timer.getMicroTime ( )
		love.event.pump ( )
		for e,a,b,c,d in love.event.poll ( ) do
			love.handlers[ e ] ( a, b, c, d )
			if e == "quit" then
				love.quit ( )
				return
			end
		end

		love.update ( nt - ot )
		
		love.graphics.clear ( )
        love.draw ( )
		love.graphics.present ( )
		
        love.timer.sleep ( 0 )		
    end
end